import request from '@/utils/request'

export function search(params) {
  return request.get('/score-packages',{params})
}
export function listRootScorePackageSenders(params) {
  return request.get('/score-packages/root-score-package-senders',{params})
}
export function exportXlsx(params) {
  return request.get('/score-packages/export',{params})
}
export function getScoreStatByParams(params) {
  return request.get('/score-packages/score-stat',{params})
}
export function getScoreTimeStatByParams(params) {
  return request.get('/score-packages/score-time-stat',{params})
}
export function getApprovedScoreStatByParams(params) {
  return request.get('/score-packages/approved-score-stat',{params})
}
export function getApprovedScoreTimeStatByParams(params) {
  return request.get('/score-packages/approved-score-time-stat',{params})
}
export function getSettledStatByParams(params) {
  return request.get('/score-packages/settled-stat',{params})
}
export function getSettledTimeStatByParams(params) {
  return request.get('/score-packages/settled-time-stat',{params})
}
export function listReceiverNames(params) {
  return request.get('/score-packages/receiver-names',{params})
}
